# Interface NoteRow

interface NoteRow {
blobId : string;
content ?: string | Buffer< ArrayBufferLike >;
dateCreated : string;
dateModified : string;
deleteId : string;
isDeleted : boolean;
isProtected : boolean;
mime : string;
noteId : string;
title : string;
type :
| "canvas"
| "code"
| "search"
| "image"
| "text"
| "file"
| "noteMap"
| "launcher"
| "doc"
| "contentWidget"
| "relationMap"
| "render"
| "mermaid"
| "book"
| "webView"
| "mindMap"
| "geoMap";
utcDateCreated : string;
utcDateModified : string;
}

- Defined in src/becca/entities/rows.ts:127

##### Index

### Properties

blobId
content?
dateCreated
dateModified
deleteId
isDeleted
isProtected
mime
noteId
title
type
utcDateCreated
utcDateModified

## Properties

### blobId

blobId: string

- Defined in src/becca/entities/rows.ts:135

### `Optional` content

content?: string | Buffer< ArrayBufferLike >

- Defined in src/becca/entities/rows.ts:140

### dateCreated

dateCreated: string

- Defined in src/becca/entities/rows.ts:136

### dateModified

dateModified: string

- Defined in src/becca/entities/rows.ts:137

### deleteId

deleteId: string

- Defined in src/becca/entities/rows.ts:129

### isDeleted

isDeleted: boolean

- Defined in src/becca/entities/rows.ts:134

### isProtected

isProtected: boolean

- Defined in src/becca/entities/rows.ts:133

### mime

mime: string

- Defined in src/becca/entities/rows.ts:132

### noteId

noteId: string

- Defined in src/becca/entities/rows.ts:128

### title

title: string

- Defined in src/becca/entities/rows.ts:130

### type

type:
| "canvas"
| "code"
| "search"
| "image"
| "text"
| "file"
| "noteMap"
| "launcher"
| "doc"
| "contentWidget"
| "relationMap"
| "render"
| "mermaid"
| "book"
| "webView"
| "mindMap"
| "geoMap"

- Defined in src/becca/entities/rows.ts:131

### utcDateCreated

utcDateCreated: string

- Defined in src/becca/entities/rows.ts:138

### utcDateModified

utcDateModified: string

- Defined in src/becca/entities/rows.ts:139